import { FetchingPluginType } from './useFetching';
export type FetchingGlobalStore = {
    states: Record<string, Partial<{
        key: FetchingPluginType['fetchingKey'] extends (args: any[]) => any ? ReturnType<FetchingPluginType['fetchingKey']> : string;
        data: any;
        status: 'success' | 'error';
        onFetching: FetchingPluginType['onFetching'];
        isFetching: FetchingPluginType['isFetching'];
    }>>;
};
export declare const useFetchingGlobalStore: import("pinia").StoreDefinition<"fetchingGlobalStore", FetchingGlobalStore, {}, {
    setFetchingInit(key: string, onFetching?: FetchingPluginType['onFetching'], isFetching?: FetchingPluginType['isFetching']): void;
    setCurrentKeyData(key: string, data: any, status: 'success' | 'error'): void;
    broadcastFetching(): void;
    isFetchingAll(fn: (value: boolean) => void): void;
}>;
